=== debian/changelog ===
tgt (1:1.0.57-1ubuntu2) wily; urgency=medium

  * debian/tgt.service: remove spaces between key, = and value for WantedBy,
    since it appears to confuse deb-systemd-helper.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 06 Jul 2015 21:21:58 -0400

tgt (1:1.0.57-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop glusterfs support, since it is not in main.
    - debian/patches/fix-config-regression.patch: Dropped no longer
      needed.
    - debian/patches/fix_delayed_management_request.patch: Dropped
      no longer needed.
    - debian/patches/fix_leak_of_task_in_scsi_flag.patch: Dropped
      no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 07 May 2015 09:29:12 -0400

tgt (1:1.0.57-1) unstable; urgency=medium

  * New upstream version:
    + iser: fix tasks leak with all its resource.
    + Set ExpCmdSn and MaxCmdSn in ISCSI_OP_R2T.
  * Drop link-against-libsystemd.patch, merged upstream.
  * d/copyright: bump debian/ copyright years.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 29 Apr 2015 11:53:21 +0300
