=== debian/watch ===
version=3
<<<<<<< tgt-1:1.0.43-0ubuntu4 (ubuntu)
https://github.com/fujita/tgt/tags .*/v(.*).tar.gz
=======
https://github.com/fujita/tgt/tags .*/archive/v([\d.]+)\.tar\.gz
>>>>>>> tgt-1:1.0.57-1 (debian)
