## tgt 1.0.63

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.57
+VERSION ?= 1.0.63
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -82,7 +82,7 @@
 clean: clean-programs clean-doc clean-conf clean-scripts clean-pkg
 
 .PHONY:check
-check: ARCH=$(shell sh script/checkarch.sh)
+check: ARCH=$(shell sh scripts/checkarch.sh)
 check:
 	CC=$(CHECK_CC_FLAGS) $(MAKE) all
