=== debian/changelog ===
tgt (1:1.0.63-1ubuntu1) xenial; urgency=medium

  * Merge from Debian (LP: #1555700). Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control
      - debian/rules
      - debian/tests/{admin, control, daemon, storage}
      - debian/tgt-glusterfs.install (Deleted)
    - Disable AIO backend support: untested new feature
      - debian/control
      - debian/tests/storage
  * Dropped changes
    - debian/patches/tgtd_dont_fail_on_eacces.patch: included in new release

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 09 Mar 2016 16:51:44 -0600

tgt (1:1.0.63-1) unstable; urgency=medium

  * New upstream release:
    + Do not fail on EACCESS on oom_adjust; tgtd can now run in a different
      user namespace (Closes: #813368).
  * d/control: Use HTTPS URLs for Vcs-* fields.
  * d/tests: Check for aio support (alongside rbd and glusterfs).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 07 Feb 2016 03:23:45 +0200

tgt (1:1.0.62-2) unstable; urgency=medium

  * Enable aio support, thanks to Harald Dunkel! (Closes: #811404)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 19 Jan 2016 11:22:35 +0200

tgt (1:1.0.62-1ubuntu2) xenial; urgency=medium

  * debian/patches/tgtd_dont_fail_on_eacces.patch
    tgtd: fix root-under-userns errors when attempting oom_score_adj
    (Closes: LP:#1518440)

 -- Ryan Harper <ryan.harper@canonical.com>  Mon, 01 Feb 2016 02:18:57 -0600

tgt (1:1.0.62-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1524982, LP: #1518440).  Remaining
    changes:
    - Drop glusterfs support, since it is not in main.
  * debian/upstart:
    - Dropped, we no longer use upstart (except on Touch, where tgt
      isn't used).  Isn't worth a delta.
  * debian/watch:
    - Drop merge conflict markers accidentally left in.
  * debian/tests/*:
    - Drop delta with Debian here, they imported our tests and improved
      them a while back.
  * debian/tgt.service:
    - Drop delta here, Debian made the same change.
  * debian/bash-completion:
    - Dropped, Debian has the same thing, just as tgt.bash-completion.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 21 Dec 2015 14:20:23 -0500

tgt (1:1.0.62-1) unstable; urgency=medium

  * New upstream version.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 10 Dec 2015 23:44:42 +0200

tgt (1:1.0.61-1) unstable; urgency=medium

  * New upstream version:
    + Fix crash when looking up removed targets
  * Fix the `modules' DEP-8 test
  * Allow stderr output in DEP-8 tests

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 03 Nov 2015 09:12:10 +0200

tgt (1:1.0.60-1) unstable; urgency=medium

  * New upstream version:

    Changes in 1.0.59:
     + iser: Clear tasks free list when closing the connection
     + iser: Fix wrong access to the session discovery mode
     + sheepdog: fix to update data_vdi_id after writing data object

    Changes in 1.0.60:
     + usr/libssc: Include fcntl.h for loff_t
     + Correct the location of checkarch.sh in Makefile

   * tgt.service: strip whitespace around equals signs.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 10 Jul 2015 14:14:49 +0300

tgt (1:1.0.58-1) unstable; urgency=medium

  * New upstream version:
    + bs_aio: fix failure handling
    + sheepdog: fine grained locking in write path
    + mgmt: Create ipc socket parent dir if does not exists
    + iser: Fix memory leak of addrinfo struct
    + tgtd.c: allow oom adjust failures for non-root users
    + mgmt: change ipc socket address
    + mgmt.c: check that the connecting user is the same as the user tgtd
      runs as
    + Allow overriding the IPC socket path via TGT_IPC_SOCKET
  * d/control: remove XS-Testsuite and rely on dpkg (>= 1.17.11) to fill it in
    automatically

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 May 2015 12:35:44 +0300
