=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16),
                xsltproc, docbook-xsl, dh-systemd (>= 1.5), librbd-dev,
                bash-completion, libsystemd-dev
-Vcs-Git: git://anonscm.debian.org/collab-maint/tgt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tgt.git
+Vcs-Browser: https://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
 Standards-Version: 3.9.6
 Homepage: http://stgt.sourceforge.net/
-XS-Testsuite: autopkgtest
 
 Package: tgt
 Architecture: linux-any
