=== debian/tests/control ===
Tests: daemon admin
Depends: tgt

Tests: storage
Depends: tgt, tgt-rbd
Restrictions: needs-root isolation-container allow-stderr
