=== debian/changelog ===
tgt (1:1.0.69-1) unstable; urgency=medium

  * New upstream release:
    + Validate the DataOut length in WRITE_SAME_1*
    + WRITE_SAME_* TL==0 means all blocks from LBA until the end of device
    + sheepdog: reject snapshot as a LUN to avoid deleting working VDI

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 11 Nov 2016 10:27:04 +0200

tgt (1:1.0.68-1) unstable; urgency=medium

  * New upstream release:
    + Sheepdog-related fixes.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 01 Nov 2016 01:05:03 +0200

tgt (1:1.0.67-1) unstable; urgency=medium

  * New upstream release:
    + Reject target names with invalid characters
    + Disable NOP-IN and adjust state for closed connections
  * Refresh fix-pie-build patch

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 07 Sep 2016 15:13:30 +0300

tgt (1:1.0.66-1) unstable; urgency=medium

  * New upstream release:
    + Fix iscsi-tcp unsolicited NOP-IN (ping) task leak
    + Call tgt_event_del before closing the eventfd
    + iscsi: fix segfault at conn_close
    + iser: fix segfault when not passing options to iser param
    + tgt-setup-lun: fix error when blocksize not given
    + Fix accepting invalid block size
    + Update tgt-setup-lun for AF 4K disks.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 14 Aug 2016 13:52:35 +0300

tgt (1:1.0.65-1) unstable; urgency=medium

  * New upstream release:
    + Fix a memory leak on allocation failure.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 03 Jun 2016 19:09:41 +0300

tgt (1:1.0.64-1) unstable; urgency=medium

  * New upstream release:
    + Enable tgt-admin to bring up Gluster backing stores
    + Fix argument conversion for command line options with integer arguments
      (closes: #822160)
    + timerfd support fixes
  * Bump standards version to 3.9.8; no changes needed
  * Enable all hardening flags
    + Add d/patches/fix-pie-build to patch upstream's Makefile to allow -fPIE
      builds

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 24 May 2016 12:04:40 +0300
