=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: tgt
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16),
                xsltproc, docbook-xsl, dh-systemd (>= 1.5), librbd-dev,
-               bash-completion, libsystemd-dev
+               glusterfs-common, bash-completion, libsystemd-dev, libaio-dev
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tgt.git
 Vcs-Browser: https://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://stgt.sourceforge.net/
 
 Package: tgt
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libconfig-general-perl, sg3-utils
-Suggests: tgt-rbd
+Suggests: tgt-glusterfs, tgt-rbd
 Description: Linux SCSI target user-space daemon and tools
  The Linux target framework (tgt) allows a Linux system to provide SCSI
  devices (targets) over networked SCSI transports.
@@ -57,6 +56,29 @@
  This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
  store for SCSI Logical Units.
 
+Package: tgt-glusterfs
+Architecture: linux-any
+Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Linux SCSI target user-space daemon and tools - GlusterFS support
+ The Linux target framework (tgt) allows a Linux system to provide SCSI
+ devices (targets) over networked SCSI transports.
+ .
+ tgt consists of a user-space daemon and user-space tools currently
+ supporting the following transports:
+ .
+  - iSCSI (SCSI over IP)
+  - iSER (iSCSI over RDMA, using Infiniband)
+ .
+ tgt also supports different storage types for use as backing stores for SCSI
+ Logical Units:
+ .
+  - Plain files and block devices
+  - Ceph/RADOS RBD volumes
+  - GlusterFS volumes
+ .
+ This package enables tgt to use GlusterFS volumes as backing store for SCSI
+ Logical Units.
+
 Package: tgt-dbg
 Architecture: linux-any
 Section: debug
