=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 SD_NOTIFY=1
+FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 GLFS_BD=1 SD_NOTIFY=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel --with systemd,bash-completion
