=== debian/changelog ===
tgt (1:1.0.71-1ubuntu2) artful; urgency=medium

  * Fix FTBFS with gcc7 by backporting upstream patches (LP: #1723055)
    - d/p/GCC-FTBFS-1-Fix-header-warning-with-GCC-7-for-major.patch
    - d/p/GCC-FTBFS-2-Remove-incorrect-size-specifier-in-spc_lu_init.patch
    - d/p/GCC-FTBFS-3-smc-fix-snprintf-warnings-with-gcc7.patch
    - Those patches are unchanged from upstream and make tgt effectively
      almost 1.0.72, so on that merge they can be dropped.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Oct 2017 14:55:37 +0200

tgt (1:1.0.71-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)
  * Dropped changes (in Debian now):
    - fix tgt being killed when serving many targets (LP 1559088)
    - d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns
      via iscsi using rdwr/aio backends and runs fio read/write/verify
      (LP 1640785)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Sun, 09 Jul 2017 14:48:45 +0200

tgt (1:1.0.71-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * fix tgt being killed when serving many targets (LP: #1559088)
  * d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns via
    iscsi using rdwr/aio backends and runs fio read/write/verify
    (LP: #1640785)

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.0.71 (Closes: #864237)
  * Merge delta from Ubuntu (Closes: #845298)
  * Refresh patches
  * Bump Standards to 4.0.0; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 04 Jul 2017 22:09:50 +0300

tgt (1:1.0.69-1ubuntu1) zesty; urgency=medium

  * Merge from Debian. Remaining changes:
   - Drop glusterfs support, package not in main.
     - debian/control
     - debian/rules
     - debian/tests/{control, storage}
     - debian/tgt-glusterfs.install (Deleted)
   - fix tgt being killed when serving many targets
   - d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns via
     iscsi using rdwr/aio backends and runs fio read/write/verify

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 25 Jan 2017 11:25:55 +0100

tgt (1:1.0.67-1ubuntu1) zesty; urgency=medium

  * Merge from Debian. Remaining changes:
   - Drop glusterfs support, package not in main.
     - debian/control
     - debian/rules
     - debian/tests/{control, storage}
     - debian/tgt-glusterfs.install (Deleted)
  * Drop changes:
   - debian/patches/util_strtoull_errno.patch by Stas Sergeev (now upstream)
   - Disable AIO backend support. This was done to reduce risk in a previous
     feature freeze; Now that we are before Zesty's feature freeze, we
     can introduce it this cycle.
   - changing file modes of debian/tests/{admin, daemon} (missing in
     changelog, not needed)
  * Add changes:
   - fix tgt being killed when serving many targets (LP: #1559088)
   - d/t/localtgt, d/t/control: add dep8 test that sets up targets and luns via
     iscsi using rdwr/aio backends and runs fio read/write/verify (LP: #1640785)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 10 Nov 2016 10:35:15 +0100

tgt (1:1.0.63-1ubuntu2) yakkety; urgency=medium

  * debian/patches/util_strtoull_errno.patch by Stas Sergeev
    - Fix errno handling for number * parsing (LP: #1547060)

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 21 Apr 2016 09:13:09 -0500
