=== debian/changelog ===
tgt (1:1.0.72-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)
  * Dropped changes (in new upstream version)
    - Fix FTBFS with gcc7 by backporting upstream patches (LP 1723055)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Nov 2017 10:28:25 +0100

tgt (1:1.0.72-1) unstable; urgency=medium

  * New upstream version (closes: #853680)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 02 Aug 2017 20:12:08 -0400
