=== debian/changelog ===
tgt (1:1.0.73-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 May 2018 11:45:12 +0200

tgt (1:1.0.73-1) unstable; urgency=medium

  * New upstream version 1.0.73
  * Bump dh compat to 11:
     + Override dh_installsystemd to add --no-restart-on-upgrade
     + Remove --with=systemd and drop B-D on dh-systemd
     + Remove --parallel from dh, now enabled by default
  * Bump Standards-Version to 4.1.3; no changes needed
  * Migrate tgt-dbg to dbgsym

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 06 Mar 2018 00:12:22 +0200
