=== debian/changelog ===
tgt (1:1.0.74-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1810736). Remaining changes:
    - Drop glusterfs support, package not in main.
      - debian/control: drop build depends and package
      - debian/rules: disable feature
      - debian/tests/{control, storage}: remove related tests
      - debian/tgt-glusterfs.install (Deleted)

 -- Karl Stenerud <kstenerud@gmail.com>  Mon, 07 Jan 2019 13:52:58 +0100

tgt (1:1.0.74-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.0.74
  * Bump Standards-Version to 4.2.1; no changes needed
  * d/copyright: bump debian/ years
  * d/copyright: fix public domain license and filename typo

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 08 Dec 2018 22:30:32 +0200
