=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 11~), libibverbs-dev, librdmacm-dev (>= 1.0.16),
                xsltproc, docbook-xsl, librbd-dev,
                bash-completion, libsystemd-dev, libaio-dev
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tgt.git
-Vcs-Browser: https://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
-Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/tgt.git
+Vcs-Browser: https://salsa.debian.org/debian/tgt
+Standards-Version: 4.2.1
 Homepage: http://stgt.sourceforge.net/
 
 Package: tgt
