=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel --with systemd,bash-completion
+	dh $@ --with bash-completion
 
 override_dh_auto_build:
 	$(MAKE) $(FEATURES)
@@ -17,13 +17,16 @@
 override_dh_installinit:
 	dh_installinit --no-restart-on-upgrade
 
+override_dh_installsystemd:
+	dh_installsystemd --no-restart-on-upgrade
+
 override_dh_install:
 	dh_install
 	rm -rf $(CURDIR)/debian/tgt/usr/lib
 
 override_dh_strip:
-	dh_strip --dbg-package=tgt-dbg
+	dh_strip --dbgsym-migration='tgt-dbg (<< 1:1.0.73-1~)'
 
 .PHONY: override_dh_auto_build override_dh_auto_install \
 	override_dh_installinit override_dh_install \
-	override_dh_strip
+	override_dh_strip override_dh_installsystemd
