=== debian/changelog ===
tgt (1:1.0.79-3ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      + debian/control: drop build depends and package
      + debian/rules: disable feature
      + debian/tests/{control, storage}: remove related tests
      + debian/tgt-glusterfs.install (Deleted)
  * Add changes:
    - d/rules: avoid FTFBS on s390x due to glibc 2.32 triggering more
      gcc-10 errors on tgt build

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Sep 2020 13:30:55 +0200

tgt (1:1.0.79-3) unstable; urgency=medium

  * Fix FTBFS with GCC 10 (Closes: #957874)
  * Bump Standards-Version to 4.5.0; no changes needed
  * Bump debhelper-compat to 13; no changes needed
  * d/copyright: bump debian/ years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 17 Sep 2020 12:38:22 +0300

tgt (1:1.0.79-2ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop glusterfs support, package not in main.
      + debian/control: drop build depends and package
      + debian/rules: disable feature
      + debian/tests/{control, storage}: remove related tests
      + debian/tgt-glusterfs.install (Deleted)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 31 Jul 2019 16:25:34 -0300

tgt (1:1.0.79-2) unstable; urgency=medium

  * Allow env to override pkg-config.
    Thanks to Helmut Grohne (Closes: #932669)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 21 Jul 2019 17:11:45 -0300

tgt (1:1.0.79-1) unstable; urgency=medium

  * New upstream version 1.0.79 (Closes: #925839)
  * Refresh patches and convert d/patches to gbp-pq layout
  * Bump Standards-Version to 4.4.0; no changes needed
  * Bump dh compat level to 12.
    + Add Pre-Depends: ${misc:Pre-Depends} to allow dh to inject the
      init-system-helpers pre-dependency
  * B-D on libglusterfs-dev instead of glusterfs-common (Closes: #919666)
  * d/rules: call dh_auto_build instead of make.
    Thanks to Helmut Grohne (Closes: #919771)
  * Fix build with GlusterFS 6

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 17 Jul 2019 13:19:03 -0300
