=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 11~), libibverbs-dev, librdmacm-dev (>= 1.0.16),
-               xsltproc, docbook-xsl, librbd-dev,
-               bash-completion, libsystemd-dev, libaio-dev
+Build-Depends: debhelper-compat (= 13), libibverbs-dev, librdmacm-dev (>= 1.0.16),
+	       xsltproc, docbook-xsl, librbd-dev, uuid-dev,
+               bash-completion, libsystemd-dev, libaio-dev, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/tgt.git
 Vcs-Browser: https://salsa.debian.org/debian/tgt
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://stgt.sourceforge.net/
 
 Package: tgt
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libconfig-general-perl, sg3-utils
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: tgt-rbd
 Description: Linux SCSI target user-space daemon and tools
  The Linux target framework (tgt) allows a Linux system to provide SCSI
