=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,24 @@
 FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 SD_NOTIFY=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# avoid FTFBS due to glibc 2.32 triggering more gcc-10 errors
+# in the usage of its functions by tgt
+export DEB_CFLAGS_MAINT_APPEND = -Wno-maybe-uninitialized -Wno-stringop-truncation
 
 %:
 	dh $@ --with bash-completion
 
 override_dh_auto_build:
-	$(MAKE) $(FEATURES)
+	dh_auto_build -- $(FEATURES)
 
 override_dh_auto_install:
 	$(MAKE) $(FEATURES) DESTDIR=$(CURDIR)/debian/tgt install
 
 override_dh_installinit:
-	dh_installinit --no-restart-on-upgrade
+	dh_installinit --no-stop-on-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd --no-restart-on-upgrade
+	dh_installsystemd --no-stop-on-upgrade
 
 override_dh_install:
 	dh_install
