=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 docdir ?= $(PREFIX)/share/doc/tgt
 
 MANPAGES = manpages/tgtadm.8 manpages/tgt-admin.8 manpages/tgtimg.8 \
-		manpages/tgt-setup-lun.8 manpages/tgtd.8
+		manpages/tgt-setup-lun.8 manpages/tgtd.8 \
+		manpages/targets.conf.5
 
 DOCS = README.iscsi README.iser \
 	    README.lu_configuration README.mmc tmf.txt \
@@ -21,8 +22,9 @@
 
 .PHONY: install
 install: $(MANPAGES) $(DOCS)
-	install -d -m 755 $(DESTDIR)$(mandir)/man8
-	install -m 644 $(MANPAGES) $(DESTDIR)$(mandir)/man8
+	install -d -m 755 $(DESTDIR)$(mandir)/man8 $(DESTDIR)$(mandir)/man5
+	install -m 644 $(filter %.8,$(MANPAGES)) $(DESTDIR)$(mandir)/man8
+	install -m 644 $(filter %.5,$(MANPAGES)) $(DESTDIR)$(mandir)/man5
 	install -d -m 755 $(DESTDIR)$(docdir)
 	install -m 644 $(DOCS) $(DESTDIR)$(docdir)
 	install -d -m 755 $(DESTDIR)$(docdir)/html
