=== debian/changelog ===
tgt (1:1.0.80-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:35:04 +0000

tgt (1:1.0.80-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: avoid FTFBS on s390x due to glibc 2.32 triggering more
      gcc-10 errors on tgt build
  * Dropped changes:
    - Drop glusterfs support, package not in main.
      [tgt will be demoted after the new cinder-volume migrated]
      + debian/control: drop build depends and package
      + debian/rules: disable feature
      + debian/tests/{control, storage}: remove related tests
      + debian/tgt-glusterfs.install (Deleted)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 24 Feb 2021 13:00:56 +0100

tgt (1:1.0.80-1) unstable; urgency=medium

  * New upstream version 1.0.80
    + Fix build with GCC 10
    + Add helper to fill sense INFORMATION field
    + Set INFORMATION field on COMPARE AND WRITE miscompare
  * Drop patches merged upstream.
     - 0008-Fix-build-with-gcc-10.patch
     - 0009-Replace-__packed-with-__attribute__.patch

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 12 Nov 2020 18:56:52 +0200
