=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper-compat (= 13), libibverbs-dev, librdmacm-dev (>= 1.0.16),
-	       xsltproc, docbook-xsl, librbd-dev, uuid-dev,
+	       xsltproc, docbook-xsl, librbd-dev, libglusterfs-dev, uuid-dev,
                bash-completion, libsystemd-dev, libaio-dev, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/tgt.git
 Vcs-Browser: https://salsa.debian.org/debian/tgt
@@ -15,7 +15,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libconfig-general-perl, sg3-utils
 Pre-Depends: ${misc:Pre-Depends}
-Suggests: tgt-rbd
+Suggests: tgt-glusterfs, tgt-rbd
 Description: Linux SCSI target user-space daemon and tools
  The Linux target framework (tgt) allows a Linux system to provide SCSI
  devices (targets) over networked SCSI transports.
@@ -57,3 +57,26 @@
  .
  This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
  store for SCSI Logical Units.
+
+Package: tgt-glusterfs
+Architecture: linux-any
+Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Linux SCSI target user-space daemon and tools - GlusterFS support
+ The Linux target framework (tgt) allows a Linux system to provide SCSI
+ devices (targets) over networked SCSI transports.
+ .
+ tgt consists of a user-space daemon and user-space tools currently
+ supporting the following transports:
+ .
+  - iSCSI (SCSI over IP)
+  - iSER (iSCSI over RDMA, using Infiniband)
+ .
+ tgt also supports different storage types for use as backing stores for SCSI
+ Logical Units:
+ .
+  - Plain files and block devices
+  - Ceph/RADOS RBD volumes
+  - GlusterFS volumes
+ .
+ This package enables tgt to use GlusterFS volumes as backing store for SCSI
+ Logical Units.
