=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: tgt
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper-compat (= 13), libibverbs-dev, librdmacm-dev (>= 1.0.16),
 	       xsltproc, docbook-xsl, librbd-dev, libglusterfs-dev, uuid-dev,
                bash-completion, libsystemd-dev, libaio-dev, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/tgt.git
 Vcs-Browser: https://salsa.debian.org/debian/tgt
-Standards-Version: 4.5.0
-Homepage: http://stgt.sourceforge.net/
+Standards-Version: 4.6.1
+Homepage: https://github.com/fujita/tgt
 
 Package: tgt
 Architecture: linux-any
